# Increment timers

scoreboard players add #game_clock value 1
scoreboard players add #ghost_release_timer value 1







# Play background sounds

function pacman:gameplay/phase_4/sound/main







# Set elroy

execute if score #elroy value matches 0 run function pacman:gameplay/phase_4/elroy/1
execute if score #elroy value matches 1 run function pacman:gameplay/phase_4/elroy/2







# Get character positions

execute as @e[type=armor_stand,tag=game] run function pacman:generic/data/get/xz_int







# Mark ghosts in ghost house

tag @e[type=armor_stand,tag=ghost,tag=game] remove ghost_house
execute as @e[type=armor_stand,tag=ghost,tag=game] at @s if block ~ 0 ~ red_concrete run tag @s add ghost_house







# Character mechanics

execute as @e[type=armor_stand,tag=game] at @s run function pacman:gameplay/phase_4/character/main







# Evict ghosts based on timer

execute if score #level value matches 1..4 if score #ghost_release_timer value matches 80.. run function pacman:gameplay/phase_4/character/ghost/evict
execute if score #level value matches 05.. if score #ghost_release_timer value matches 60.. run function pacman:gameplay/phase_4/character/ghost/evict







# Air toggle area effect clouds

execute as @e[type=area_effect_cloud,tag=game] store result entity @s Air short 1 run time query gametime
execute as @e[type=area_effect_cloud,tag=game] run teleport @s @s







# Spawn fruit at specific times

execute if score #fruit_boolean value matches 0 if score #pellet_count value matches 174 run function pacman:gameplay/phase_4/fruit/main
execute if score #fruit_boolean value matches 1 if score #pellet_count value matches 074 run function pacman:gameplay/phase_4/fruit/main







# Despawn score displays and fruit

scoreboard players add @e[type=armor_stand,tag=score] value 1
scoreboard players add @e[type=armor_stand,tag=fruit] value 1
kill @e[type=armor_stand,tag=score,scores={value= 40..}]
kill @e[type=armor_stand,tag=fruit,scores={value=200..}]







# Process scores

scoreboard players operation #high_score value > #score value

scoreboard players operation #input value = #high_score value
execute positioned -5 41 32 run function pacman:animation/number/main

scoreboard players operation #input value = #score value
execute positioned 15 41 32 run function pacman:animation/number/main







# Extra lives

scoreboard players operation #math_00 value = #score value
scoreboard players operation #math_00 value /= #10000 value
execute if score #math_00 value > #extra_lives value run function pacman:gameplay/phase_4/extra_life







# End level

execute if score #pellet_count value matches ..0 run function pacman:gameplay/phase_6/start